<?php session_start(); ?>
<!doctype html>
<?php include('db/idl_connect.php');
	if(isset($_SESSION['user_droits'])) {
		$droits = substr($_SESSION['user_droits'],3,1);
		if($droits==1) {
			echo '<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
			<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />';
			$page_header = 'freq'; 
			include('include/header.php');
			echo '<p class="noaccess">Vous n\'avez pas accès à ce module.<br><a href="index.php">Accueil</a></p>';
		}
		else { 
			?>
		<html>
		<head>

		<meta charset="utf-8" />
		<title>Fréquentation du CDI - InfodocLog</title>
		<link rel="stylesheet" href="css/jquery-ui.css">
		<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
		<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />
		<link rel="stylesheet" href="include/fontawesome/css/all.css">
		<script type="text/javascript" src="js/jquery-3.7.0.js"></script>
		<script type="text/javascript" src="js/jquery-ui.js"></script>
		<script type="text/javascript" src="js/jquery.ui.datepicker-fr.js"></script>
		<script type="text/javascript" src="js/jquery.tablesorter.js"></script>
		<script type="text/javascript" src="js/jquery.tablesorter.pager.js"></script>
		<script language="javascript">
			function toggleDiv(divid){
				if(document.getElementById(divid).style.display == 'none'){
					document.getElementById(divid).style.display = 'block';
				}else{
					document.getElementById(divid).style.display = 'none';
				}
			}
		</script>
		<?php 
		include('include/tablesorter.php'); 
		include('include/suggestions.php'); 
		?>
		
		<script type='text/javascript'>

			function getXhr(){
				var xhr = null; 
				if(window.XMLHttpRequest) // Firefox et autres
				   xhr = new XMLHttpRequest(); 
				else if(window.ActiveXObject){ // Internet Explorer 
				   try {
							xhr = new ActiveXObject("Msxml2.XMLHTTP");
						} catch (e) {
							xhr = new ActiveXObject("Microsoft.XMLHTTP");
						}
				}
				else { // XMLHttpRequest non supporté par le navigateur 
				   alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
				   xhr = false; 
				} 
								return xhr;
			}

			/**
			* Méthode qui sera appelée sur le click du bouton pour les div
			*/
			function go(){
				// POUR DIV
				var xhr = getXhr();
				xhr.onreadystatechange = function(){
					if(xhr.readyState == 4 && xhr.status == 200){
						leselect = xhr.responseText;
						document.getElementById('divselect').innerHTML = leselect;
					}
				}

				xhr.open("POST","db/proc/freq_select_div.php",true);
				xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
				sel = document.getElementById('classe');
				idauteur = sel.options[sel.selectedIndex].value;
				xhr.send("idAuteur="+idauteur);
				document.getElementById("checkopt").style.display = 'block';
			}
		</script>

	</head>

	<body>
		
		<?php $page_header = 'freq'; ?>
		<?php include('include/header.php'); ?>
		
		<section>
			<?php include('include/nav/nav_freq.php'); ?>
			<article id="art_freq">
			<?php
			if(!isset($_GET['page'])) {
				if($droits==0||$droits==3||$droits==2||$droits==4||$droits==6) {
					include('./contenu/freq_index.php');
				}
				else { include('./contenu/freq_reserve.php'); }
			}
			else {
				switch($_GET['page']) {
					case'inscript':
						include('./contenu/freq_index.php');
						break;
					case'reserve':
						include('./contenu/freq_reserve.php');
						break;
					case'retards':
						include('./contenu/freq_retards.php');
						break;
					case'exclusions':
						include('./contenu/freq_exclusions.php');
						break;
					case'journal':
						include('./contenu/freq_journal.php');
						break;
					case'stats':
						include('./contenu/freq_stats.php');
						break;
					case'param':
						include('./contenu/freq_param.php');
						break;
				}
			}
			?>
			</article>
			
		</section>

	<footer id="foot_freq">
	<?php include('include/footer.php'); ?>
	</footer>
	</body>
	
	</html>
	<?php
	}	
}
else {
	echo '<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />';
	$page_header = 'freq'; 
	include('include/header.php');
	include('include/noaccess.php');
	echo '<br><a href="index.php">Accueil</a></p>';
}
?>
